diff --git a/Marlin/Configuration.h b/Marlin/Configuration.h
index d93ace405f..a94f087fbd 100644
--- a/Marlin/Configuration.h
+++ b/Marlin/Configuration.h
@@ -1,9 +1,9 @@
-//#define ABL_BLTOUCH // Replaces RGB LED
+#define ABL_BLTOUCH // Replaces RGB LED
 #define GraphicalLCD // Will work next to MKS TFT
-//#define TMC_2209 // Defaults to TMC2100
-//#define ABL_UBL // Defaults to Bilinear
+#define TMC_2209 // Defaults to TMC2100
+#define ABL_UBL // Defaults to Bilinear
 //#define RunoutSensor // Tinymachines Lerdge Sensor
-//#define RELOCATE_LED // Since the bltouch by default removed the LED, set this if you simply moved them off the hotend
+#define RELOCATE_LED // Since the bltouch by default removed the LED, set this if you simply moved them off the hotend
 
 /**
  * Marlin 3D Printer Firmware
@@ -1619,7 +1619,7 @@
  *
  * View the current statistics with M78.
  */
-#define PRINTCOUNTER
+//#define PRINTCOUNTER
 
 //=============================================================================
 //============================= LCD and SD support ============================
@@ -1751,7 +1751,7 @@
 //
 // Add individual axis homing items (Home X, Home Y, and Home Z) to the LCD menu.
 //
-#define INDIVIDUAL_AXIS_HOMING_MENU
+//#define INDIVIDUAL_AXIS_HOMING_MENU
 
 //
 // SPEAKER/BUZZER
diff --git a/Marlin/Configuration_adv.h b/Marlin/Configuration_adv.h
index 897ab66824..83d52b6edf 100644
--- a/Marlin/Configuration_adv.h
+++ b/Marlin/Configuration_adv.h
@@ -1434,7 +1434,9 @@
  * Note that M207 / M208 / M209 settings are saved to EEPROM.
  *
  */
-#define FWRETRACT
+#if !ENABLED(ABL_UBL, GraphicalLCD, TMC_2209)
+  #define FWRETRACT
+#endif
 #if ENABLED(FWRETRACT)
   #define FWRETRACT_AUTORETRACT           // costs ~500 bytes of PROGMEM
   #if ENABLED(FWRETRACT_AUTORETRACT)
@@ -2570,7 +2572,7 @@
 /**
  * M43 - display pin status, watch pins for changes, watch endstops & toggle LED, Z servo probe test, toggle pins
  */
-//#define PINS_DEBUGGING
+#define PINS_DEBUGGING
 
 // Enable Marlin dev mode which adds some special commands
 //#define MARLIN_DEV_MODE
